menuconfig THREAD_MGMT
    bool "Thread Management"
    select LASERTAG_UTILS
    select NETWORKING
    select NET_L2_OPENTHREAD
    select OPENTHREAD
    select OPENTHREAD_SHELL
    help
      Library for initializing and managing the OpenThread stack.

if THREAD_MGMT
    # Logging configuration for the Thread Management module
    module = THREAD_MGMT
    module-str = thread_mgmt
    source "subsys/logging/Kconfig.template.log_config"

    # Openthread configuration options
    config OPENTHREAD_DEFAULT_TX_POWER
        default 8
        range -40 8
        help
          Default transmit power for OpenThread. The value is in dBm and can be set according to the requirements of your application and regulatory limits.
endif # THREAD_MGMT